Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql
Class SelectManager

    java.lang.Object
      org.deegree.io.datastore.sql.SelectManager

     class SelectManager

extends Object

Responsible for managing the mapping of properties to table columns SQL and their position in the SQL result set.

Version:
  $Revision:$, $Date:$
Author:
  Markus Schneider , last edited by: $Author:$

Field Summary
`(package private) List<PropertyPath>` | `augmentedGeometryProps`

Constructor Summary
`SelectManager(Query query, MappedFeatureType[] rootFts, FeatureFetcher fetcher)`

Method Summary
`(package private) List<List<SimpleContent>>[]` | `getAllFetchContents()`
`(package private) Map<MappedPropertyType,Collection<PropertyPath>>[]` | `getAllFetchProps()`
`(package private) int` | `getFetchContentCount()`
`(package private) int[]` | `getIncludedFtIdx()`
`(package private) Map<SimpleContent,Integer>[]` | `getResultPosMaps()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### augmentedGeometryProps

    List<PropertyPath> augmentedGeometryProps

Constructor Detail

### SelectManager

    SelectManager(Query query,
                  MappedFeatureType[] rootFts,
                  FeatureFetcher fetcher)
            throws DatastoreException

Throws:
  `DatastoreException`

Method Detail

### getAllFetchContents

    List<List<SimpleContent>>[] getAllFetchContents()

### getResultPosMaps

    Map<SimpleContent,Integer>[] getResultPosMaps()

### getAllFetchProps

    Map<MappedPropertyType,Collection<PropertyPath>>[] getAllFetchProps()

### getFetchContentCount

    int getFetchContentCount()

### getIncludedFtIdx

    int[] getIncludedFtIdx()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org